Bug 473929 - [REG][5.3] The number of rpc.rquotad daemon increases when the nfs service is restarted.
[REG][5.3] The number of rpc.rquotad daemon increases when the nfs service is...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
10
All Linux
urgent Severity high
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
: Regression
Depends On: 470483
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-01 08:57 EST by Steve Dickson
Modified: 2008-12-06 23:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-06 23:31:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Steve Dickson 2008-12-01 09:01:09 EST
Description of Problem
   The number of rpc.rquotad daemon increases when the nfs service is
restarted.
    

   [root@earth ~]# ps aux | grep rpc.rquotad
   root      2835  0.0  0.0  65312   276 ?        Ss   20:59   0:00 rpc.rquotad
   root      3206  0.0  0.0  61192   720 pts/0    S+   21:09   0:00 grep
   rpc.rquotad
   [root@earth ~]# service nfs restart
   Shutting down NFS mountd:                                  [  OK  ]
   Shutting down NFS daemon:                                  [  OK  ]
   Shutting down NFS services:                                [  OK  ]
   Starting NFS services:                                     [  OK  ]
   Starting NFS quotas:                                       [  OK  ]
   Starting NFS daemon:                                       [  OK  ]
   Starting NFS mountd:                                       [  OK  ]
   [root@earth ~]# ps aux | grep rpc.rquotad
   root      2835  0.0  0.0  65312   276 ?        Ss   20:59   0:00 rpc.rquotad
   root      3271  0.0  0.0  65312   284 ?        Ss   21:09   0:00 rpc.rquotad
   root      3305  0.0  0.0  61192   724 pts/0    S+   21:09   0:00 grep
   rpc.rquotad
   [root@earth ~]# service nfs restart
   Shutting down NFS mountd:                                  [  OK  ]
   Shutting down NFS daemon:                                  [  OK  ]
   Shutting down NFS services:                                [  OK  ]
   Starting NFS services:                                     [  OK  ]
   Starting NFS quotas:                                       [  OK  ]
   Starting NFS daemon:                                       [  OK  ]
   Starting NFS mountd:                                       [  OK  ]
   [root@earth ~]# ps aux | grep rpc.rquotad
   root      2835  0.0  0.0  65312   276 ?        Ss   20:59   0:00 rpc.rquotad
   root      3271  0.0  0.0  65312   284 ?        Ss   21:09   0:00 rpc.rquotad
   root      3370  0.0  0.0  65312   284 ?        Ss   21:09   0:00 rpc.rquotad
   root      3404  0.0  0.0  61192   720 pts/0    S+   21:09   0:00 grep
   rpc.rquotad
   [root@earth ~]# 

Version-Release number of selected component

   Red Hat Enterprise Linux Version Number:    RHEL5.3
   Release Number:    5.3 Partner Beta
   Architecture:    x86_64   
   Kernel Version:    2.6.18-120.el5
   Related Package Version:    none   
   Related Middleware / Application:    none

Drivers or hardware or architecture dependency

   None.

How reproducible

   every time.

Step to Reproduce

  Restart nfs service. (like followings)
  # service nfs restart

Actual Results

   The number of rpc.rquotad daemon increases when the nfs service is
restarted.

Expected Results

   The number of rpc.rquotad daemon doesn't increase when the nfs service is
restarted.

Summary of actions taken to resolve issue

   It will be fixed by the following patch for /etc/rc/init.d/nfs.
   $ diff -c nfs.org nfs.new 
   *** nfs.org     2008-11-04 20:50:19.000000000 +0900
   --- nfs.new     2008-11-04 20:50:37.000000000 +0900
   ***************
   *** 19,24 ****
   --- 19,27 ----
     # Check for and source configuration file otherwise set defaults
     [ -f /etc/sysconfig/nfs ] && . /etc/sysconfig/nfs

   + # Remote quota server
   + [ -z "$RQUOTAD" ] && RQUOTAD=`type -path rpc.rquotad`
   + 
     RETVAL=0

     # See how we were called.
   ***************
   *** 48,56 ****
           # Number of servers to be started by default
           [ -z "$RPCNFSDCOUNT" ] && RPCNFSDCOUNT=8

   -       # Remote quota server
   -       [ -z "$RQUOTAD" ] && RQUOTAD=`type -path rpc.rquotad`
   - 
           # Start daemons.
           [ -x /usr/sbin/rpc.svcgssd ] && /sbin/service rpcsvcgssd start

   --- 51,56 ----
   $
Comment 2 Fedora Update System 2008-12-01 11:19:35 EST
nfs-utils-1.1.4-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/nfs-utils-1.1.4-2.fc10
Comment 3 Fedora Update System 2008-12-02 20:25:16 EST
nfs-utils-1.1.4-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nfs-utils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-10642
Comment 4 Etsuji Nakai 2008-12-06 03:15:54 EST
This issue exists on RHEL5.2, too. Will it be resolved in the next release of RHEL5, too?
Comment 5 Fedora Update System 2008-12-06 23:31:50 EST
nfs-utils-1.1.4-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.